package com.ruoyi.common.utils.uuid;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 生成订单号
 */
public class SnowflakeIdWorkerUtils {

    private SnowflakeIdWorkerUtils() {}
    private static SnowflakeIdWorkerUtils g = null;
    private static synchronized SnowflakeIdWorkerUtils getInstance() {
        if (g == null) {
            g = new SnowflakeIdWorkerUtils();
        }
        return g;
    }
    // 全局自增数
    private static int count = 0;
    // 每毫秒秒最多生成多少（最好是像9999这种准备进位的值）
    private static final int total = 999;
    // 格式化的时间字符串
    private static final SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
    // 获取当前时间年月日时分秒毫秒字符串
    private static String getNowDateStr() {
        return sdf.format(new Date());
    }
    // 记录上一次的时间，用来判断是否需要递增全局数
    private static String now = null;
    /*
     * 生成一个ID号
     */
    public static synchronized String nextNumber() {
        String dataStr = getNowDateStr();
        if (dataStr.equals(now)) {
            count++;
        } else {
            count = 1;
            now = dataStr;
        }
        int countInteger = String.valueOf(total).length() - String.valueOf(count).length();
        String bu = "";
        for (int i = 0; i < countInteger; i++) {
            bu += "0";
        }
        bu += String.valueOf(count);
        if (count >= total) {
            count = 0;
        }
        return dataStr + bu;
    }
}