package com.ruoyi.framework.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.authentication.AnonymousAuthenticationToken;
import org.springframework.security.core.Authentication;

@Slf4j
@Configuration
public class MyMetaObjectHandler implements MetaObjectHandler {
    @Override
    public void insertFill(MetaObject metaObject) {
        boolean createTime = metaObject.hasSetter("createTime");
        boolean updateTime = metaObject.hasSetter("updateTime");
        boolean createBy = metaObject.hasSetter("createBy");
        if (updateTime) {
            metaObject.setValue("updateTime", DateUtils.getNowDate());
        }
        if (createTime) {
            metaObject.setValue("createTime", DateUtils.getNowDate());
        }
        if (createBy){
            metaObject.setValue("createBy",GetLoginId());
        }
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        boolean updateTime = metaObject.hasSetter("updateTime");
        boolean updateBy = metaObject.hasSetter("updateBy");
        if (updateTime) {
            metaObject.setValue("updateTime",DateUtils.getNowDate());
        }
        if (updateBy) {
            metaObject.setValue("updateBy",GetLoginId());
        }
    }

    public String GetLoginId(){
        try {
            Authentication authentication = SecurityUtils.getAuthentication();
            if (null != authentication){
                Object principal = authentication.getPrincipal();
                if (principal instanceof String){
                    return null;
                }
                LoginUser loginUser = (LoginUser) principal ;
                return String.valueOf(loginUser.getUserId());
            }
        }catch (Exception e){
            e.printStackTrace();
            log.error("获取用户失败",e.getMessage());
        }
        return null;
    }

}