package com.ruoyi.system.domain.giveDetail;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务发放明细对象 tb_give_detail
 * 
 * @author ruoyi
 * @date 2024-09-24
 */

@Data
@TableName("tb_give_detail")
public class TbGiveDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 发放时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发放时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date giveTime;

    /** 批次编号 */
    @Excel(name = "批次编号")
    private String batchNum;

    /** 服务名称 */
    @Excel(name = "服务名称")
    private String serName;

    /** 服务价值 */
    @Excel(name = "服务价值")
    private Double serMoney;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String userName;

    /** 客户车牌 */
    @Excel(name = "客户车牌")
    private String carNum;

    /** 客户电话 */
    @Excel(name = "客户电话")
    private String telephone;

    /** 服务状态 1-待接单 2-任务中 3-待交单 4-已完成 */
    @Excel(name = "服务状态")
    private String serState;

    /** 是否删除 0-否 1-是 */
    private String isDelete;

    /** 是否有效 0-否 1-是 */
    private String state;

    //查询时间
    private List<String> dataValue;

    //查询开始时间
    private String startTime;

    //查询结束时间
    private String endTime;

}
