package com.ruoyi.system.domain.giveRecord;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务发放记录对象 tb_give_record
 * 
 * @author ruoyi
 * @date 2024-09-24
 */
@Data
@TableName("tb_give_record")
public class TbGiveRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 发放记录 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发放记录", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date giveTime;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operator;

    /** 批次编号 */
    @Excel(name = "批次编号")
    private String batchNum;

    /** 发放人数 */
    @Excel(name = "发放人数")
    private String givePeopleNum;

    /** 发放服务 */
    @Excel(name = "发放服务")
    private String giveSer;

    /** 发放预算 */
    @Excel(name = "发放预算")
    private Double giveBudget;

    /** 已核销服务 */
    @Excel(name = "已核销服务")
    private String writeOff;

    /** 核销金额 */
    @Excel(name = "核销金额")
    private Double writeOffMoney;

    /** 是否删除 0-否 1-是 */
    private String isDelete;

    /** 数据是否有效 0-否 1-是 */
    private String state;

    //查询时间集合
    private List<String> dataValue;

    //查询开始时间
    private String startTime;

    //查询结束时间
    private String endTime;

}
