package com.ruoyi.system.domain.orderInformation;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单信息对象 tb_order_information
 * 
 * @author ruoyi
 * @date 2024-09-25
 */
@Data
@TableName("tb_order_information")
public class TbOrderInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String orderNum;

    /** 下单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;

    /** 服务名称 */
    @Excel(name = "服务名称")
    private String serName;

    /** 服务价值 */
    @Excel(name = "服务价值")
    private BigDecimal serMoney;

    /** 服务状态 1-待接单 2-任务中 3-待交单 4-已完成 */
    @Excel(name = "服务状态")
    private String serState;

    /** 接单人员 */
    @Excel(name = "接单人员")
    private String serPerson;

    /** 服务网点 */
    @Excel(name = "服务网点")
    private String serSiteName;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String userName;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNum;

    /** 手机号 */
    @Excel(name = "手机号")
    private String telephone;

    /** 服务凭证 */
    @Excel(name = "服务凭证")
    private String serProof;

    //查询时间
    private List<String> dataValue;

    //查询开始时间
    private String startTime;

    //查询结束时间
    private String endTime;

}
