package com.ruoyi.system.domain.shop;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 商家店铺信息对象 s_shop_information
 *
 * @author ruoyi
 * @date 2024-10-10
 */
@Data
@TableName("s_shop_information")
public class SShopInformation extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
            @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** user表ID */
                @Excel(name = "user表ID")
        private Long userId;

        /** 网点编号 */
                @Excel(name = "网点编号")
        private String branchUmber;

        /** 门头照 */
                @Excel(name = "门头照")
        private String doorPhotoUrl;

        /** 服务环境 */
                @Excel(name = "服务环境")
        private String environmentUrl;

        /** 门店名称 */
                @Excel(name = "门店名称")
        private String storeName;

        /** 登录账号 */
                @Excel(name = "登录账号")
        private String loginAccount;

        /** 联系人 */
                @Excel(name = "联系人")
        private String contacts;

        /** 联系电话 */
                @Excel(name = "联系电话")
        private String contactPhone;

        /** 经营时间 */
                @JsonFormat(pattern = "yyyy-MM-dd")
                @Excel(name = "经营时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date businessTime;

        /** 经营范围 */
                @Excel(name = "经营范围")
        private String businessScope;

        /** 所在区域 */
                @Excel(name = "所在区域")
        private String region;

        /** 详细地址 */
                @Excel(name = "详细地址")
        private String detailedAddress;

        /** 地址定位 */
                @Excel(name = "地址定位")
        private String location;

}
