package com.ruoyi.system.domain.withdrawalRecord;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 提现记录对象 t_withdrawal_record
 * 
 * @author ruoyi
 * @date 2024-09-25
 */
@Data
@TableName("t_withdrawal_record")
public class TWithdrawalRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date applicationTime;

    /** 业务单号 */
    @Excel(name = "业务单号")
    private String businessUmber;

    /** 收款人 */
    @Excel(name = "收款人")
    private String payee;

    /** 收款账户 */
    @Excel(name = "收款账户")
    private String receivingAccount;

    /** 提取金额 */
    @Excel(name = "提取金额")
    private BigDecimal extractMoney;

    /** 服务费 */
    @Excel(name = "服务费")
    private BigDecimal serviceCharge;

    /** 状态 */
    @Excel(name = "状态")
    private String extractStatus;

    //查询时间
    private List<String> dataValue;

    //查询开始时间
    private String startTime;

    //查询结束时间
    private String endTime;

}
