package com.ruoyi.system.mapper.my;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.my.MSkill;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 我得技能Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-30
 */
public interface MSkillMapper extends BaseMapper<MSkill>
{
    /**
     * 查询我得技能
     *
     * @param id 我得技能主键
     * @return 我得技能
     */
    public MSkill selectMSkillById(Long id);

    /**
     * 查询我得技能列表
     *
     * @param mSkill 我得技能
     * @return 我得技能集合
     */
    public List<MSkill> selectMSkillList(MSkill mSkill);

    /**
     * 新增我得技能
     *
     * @param mSkill 我得技能
     * @return 结果
     */
    public int insertMSkill(MSkill mSkill);

    /**
     * 修改我得技能
     *
     * @param mSkill 我得技能
     * @return 结果
     */
    public int updateMSkill(MSkill mSkill);

    /**
     * 删除我得技能
     *
     * @param id 我得技能主键
     * @return 结果
     */
    public int deleteMSkillById(Long id);

    /**
     * 批量删除我得技能
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMSkillByIds(Long[] ids);

    @Select("SELECT * FROM m_skill WHERE m_user_id =( SELECT id FROM m_user WHERE sys_user_id = ( SELECT user_id FROM sys_user WHERE user_id = #{userId}) )")
    MSkill getInfoSkills(@Param("userId") Long userId);


    @Select("SELECT id FROM m_user WHERE sys_user_id = ( SELECT user_id FROM sys_user WHERE user_id = #{userId}) ")
    Long getUUserId(@Param("userId") Long userId);


}
