package com.ruoyi.system.mapper.my;


import com.ruoyi.common.mybatisConfig.InsertListMapper;
import com.ruoyi.system.domain.my.MUser;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 我的灵活从业者Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-30
 */
public interface MUserMapper extends InsertListMapper<MUser>
{
    /**
     * 查询我的灵活从业者
     *
     * @param id 我的灵活从业者主键
     * @return 我的灵活从业者
     */
    public MUser selectMUserById(Long id);

    /**
     * 查询我的灵活从业者列表
     *
     * @param mUser 我的灵活从业者
     * @return 我的灵活从业者集合
     */
    public List<MUser> selectMUserList(MUser mUser);

    /**
     * 新增我的灵活从业者
     *
     * @param mUser 我的灵活从业者
     * @return 结果
     */
    public int insertMUser(MUser mUser);

    /**
     * 修改我的灵活从业者
     *
     * @param mUser 我的灵活从业者
     * @return 结果
     */
    public int updateMUser(MUser mUser);

    /**
     * 删除我的灵活从业者
     *
     * @param id 我的灵活从业者主键
     * @return 结果
     */
    public int deleteMUserById(Long id);

    /**
     * 批量删除我的灵活从业者
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMUserByIds(Long[] ids);

    @Select("SELECT agent_sys_user_id FROM m_user ")
    List<String> selectAgentSysUserId();

}
