package com.ruoyi.system.mapper.serProject;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.serProjrct.TbSerProjects;

/**
 * 服务项目Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public interface TbSerProjectsMapper extends BaseMapper<TbSerProjects>
{
    /**
     * 查询服务项目
     * 
     * @param itemName 服务项目主键
     * @return 服务项目
     */
    public TbSerProjects selectTbSerProjectsByItemName(String itemName);

    /**
     * 查询服务项目列表
     * 
     * @param tbSerProjects 服务项目
     * @return 服务项目集合
     */
    public List<TbSerProjects> selectTbSerProjectsList(TbSerProjects tbSerProjects);

    /**
     * 新增服务项目
     * 
     * @param tbSerProjects 服务项目
     * @return 结果
     */
    public int insertTbSerProjects(TbSerProjects tbSerProjects);

    /**
     * 修改服务项目
     * 
     * @param tbSerProjects 服务项目
     * @return 结果
     */
    public int updateTbSerProjects(TbSerProjects tbSerProjects);

    /**
     * 修改服务项目
     *
     * @param tbSerProjects 服务项目
     * @return 结果
     */
    public int updateState(TbSerProjects tbSerProjects);

    /**
     * 删除服务项目
     * 
     * @param itemName 服务项目主键
     * @return 结果
     */
    public int deleteTbSerProjectsByItemName(String itemName);

    /**
     * 批量删除服务项目
     * 
     * @param id 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbSerProjectsByItemNames(String[] id);
}
