package com.ruoyi.system.mapper.shop;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.shop.SShopInformation;

import java.util.List;

/**
 * 商家店铺信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-10
 */
public interface SShopInformationMapper extends BaseMapper<SShopInformation>
{
    /**
     * 查询商家店铺信息
     *
     * @param id 商家店铺信息主键
     * @return 商家店铺信息
     */
    public SShopInformation selectSShopInformationById(Long id);

    /**
     * 查询商家店铺信息列表
     *
     * @param sShopInformation 商家店铺信息
     * @return 商家店铺信息集合
     */
    public List<SShopInformation> selectSShopInformationList(SShopInformation sShopInformation);

    /**
     * 新增商家店铺信息
     *
     * @param sShopInformation 商家店铺信息
     * @return 结果
     */
    public int insertSShopInformation(SShopInformation sShopInformation);

    /**
     * 修改商家店铺信息
     *
     * @param sShopInformation 商家店铺信息
     * @return 结果
     */
    public int updateSShopInformation(SShopInformation sShopInformation);

    /**
     * 删除商家店铺信息
     *
     * @param id 商家店铺信息主键
     * @return 结果
     */
    public int deleteSShopInformationById(Long id);

    /**
     * 批量删除商家店铺信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSShopInformationByIds(Long[] ids);
}
