package com.ruoyi.system.mapper.shop;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.shop.SShopMaterial;

import java.util.List;


/**
 * 商家素材图片上传Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-09
 */
public interface SShopMaterialMapper extends BaseMapper<SShopMaterial>
{
    /**
     * 查询商家素材图片上传
     *
     * @param id 商家素材图片上传主键
     * @return 商家素材图片上传
     */
    public SShopMaterial selectSShopMaterialById(Long id);

    /**
     * 查询商家素材图片上传列表
     *
     * @param sShopMaterial 商家素材图片上传
     * @return 商家素材图片上传集合
     */
    public List<SShopMaterial> selectSShopMaterialList(SShopMaterial sShopMaterial);

    /**
     * 新增商家素材图片上传
     *
     * @param sShopMaterial 商家素材图片上传
     * @return 结果
     */
    public int insertSShopMaterial(SShopMaterial sShopMaterial);

    /**
     * 修改商家素材图片上传
     *
     * @param sShopMaterial 商家素材图片上传
     * @return 结果
     */
    public int updateSShopMaterial(SShopMaterial sShopMaterial);

    /**
     * 删除商家素材图片上传
     *
     * @param id 商家素材图片上传主键
     * @return 结果
     */
    public int deleteSShopMaterialById(Long id);

    /**
     * 批量删除商家素材图片上传
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSShopMaterialByIds(Long[] ids);
}
