package com.ruoyi.system.service.giveRecord;

import java.util.List;
import com.ruoyi.system.domain.giveRecord.TbGiveRecord;

/**
 * 服务发放记录Service接口
 * 
 * @author ruoyi
 * @date 2024-09-24
 */
public interface ITbGiveRecordService 
{
    /**
     * 查询服务发放记录
     * 
     * @param id 服务发放记录主键
     * @return 服务发放记录
     */
    public TbGiveRecord selectTbGiveRecordById(Long id);

    /**
     * 查询服务发放记录列表
     * 
     * @param tbGiveRecord 服务发放记录
     * @return 服务发放记录集合
     */
    public List<TbGiveRecord> selectTbGiveRecordList(TbGiveRecord tbGiveRecord);

    /**
     * 新增服务发放记录
     * 
     * @param tbGiveRecord 服务发放记录
     * @return 结果
     */
    public int insertTbGiveRecord(TbGiveRecord tbGiveRecord);

    /**
     * 修改服务发放记录
     * 
     * @param tbGiveRecord 服务发放记录
     * @return 结果
     */
    public int updateTbGiveRecord(TbGiveRecord tbGiveRecord);

    /**
     * 批量删除服务发放记录
     * 
     * @param ids 需要删除的服务发放记录主键集合
     * @return 结果
     */
    public int deleteTbGiveRecordByIds(Long[] ids);

    /**
     * 删除服务发放记录信息
     * 
     * @param id 服务发放记录主键
     * @return 结果
     */
    public int deleteTbGiveRecordById(Long id);
}
