package com.ruoyi.system.service.my;

import com.ruoyi.system.domain.my.MOrders;

import java.util.List;

/**
 * 我得订单Service接口
 * 
 * @author ruoyi
 * @date 2024-09-30
 */
public interface IMOrdersService 
{
    /**
     * 查询我得订单
     * 
     * @param id 我得订单主键
     * @return 我得订单
     */
    public MOrders selectMOrdersById(Long id);

    /**
     * 查询我得订单列表
     * 
     * @param mOrders 我得订单
     * @return 我得订单集合
     */
    public List<MOrders> selectMOrdersList(MOrders mOrders);

    /**
     * 新增我得订单
     * 
     * @param mOrders 我得订单
     * @return 结果
     */
    public int insertMOrders(MOrders mOrders);

    /**
     * 修改我得订单
     * 
     * @param mOrders 我得订单
     * @return 结果
     */
    public int updateMOrders(MOrders mOrders);

    /**
     * 批量删除我得订单
     * 
     * @param ids 需要删除的我得订单主键集合
     * @return 结果
     */
    public int deleteMOrdersByIds(Long[] ids);

    /**
     * 删除我得订单信息
     * 
     * @param id 我得订单主键
     * @return 结果
     */
    public int deleteMOrdersById(Long id);

    MOrders selectMOrdersByMUserId();


}
