package com.ruoyi.system.service.my;

import com.ruoyi.system.domain.my.MSkill;

import java.util.List;

/**
 * 我得技能Service接口
 * 
 * @author ruoyi
 * @date 2024-09-30
 */
public interface IMSkillService 
{
    /**
     * 查询我得技能
     * 
     * @param id 我得技能主键
     * @return 我得技能
     */
    public MSkill selectMSkillById(Long id);

    /**
     * 查询我得技能列表
     * 
     * @param mSkill 我得技能
     * @return 我得技能集合
     */
    public List<MSkill> selectMSkillList(MSkill mSkill);

    /**
     * 新增我得技能
     * 
     * @param mSkill 我得技能
     * @return 结果
     */
    public int insertMSkill(MSkill mSkill);

    /**
     * 修改我得技能
     * 
     * @param mSkill 我得技能
     * @return 结果
     */
    public int updateMSkill(MSkill mSkill);

    /**
     * 批量删除我得技能
     * 
     * @param ids 需要删除的我得技能主键集合
     * @return 结果
     */
    public int deleteMSkillByIds(Long[] ids);

    /**
     * 删除我得技能信息
     * 
     * @param id 我得技能主键
     * @return 结果
     */
    public int deleteMSkillById(Long id);

    MSkill getInfoSkills();

}
