package com.ruoyi.system.service.my.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.my.MOrdersFile;
import com.ruoyi.system.mapper.my.MOrdersFileMapper;
import com.ruoyi.system.service.my.IMOrdersFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 我得订单 附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-30
 */
@Service
public class MOrdersFileServiceImpl implements IMOrdersFileService
{
    @Autowired
    private MOrdersFileMapper mOrdersFileMapper;

    /**
     * 查询我得订单 附件
     * 
     * @param id 我得订单 附件主键
     * @return 我得订单 附件
     */
    @Override
    public MOrdersFile selectMOrdersFileById(Long id)
    {
        return mOrdersFileMapper.selectMOrdersFileById(id);
    }

    /**
     * 查询我得订单 附件列表
     * 
     * @param mOrdersFile 我得订单 附件
     * @return 我得订单 附件
     */
    @Override
    public List<MOrdersFile> selectMOrdersFileList(MOrdersFile mOrdersFile)
    {
        return mOrdersFileMapper.selectMOrdersFileList(mOrdersFile);
    }

    /**
     * 新增我得订单 附件
     * 
     * @param mOrdersFile 我得订单 附件
     * @return 结果
     */
    @Override
    public int insertMOrdersFile(MOrdersFile mOrdersFile)
    {
        mOrdersFile.setCreateTime(DateUtils.getNowDate());
        return mOrdersFileMapper.insert(mOrdersFile);
    }

    /**
     * 修改我得订单 附件
     * 
     * @param mOrdersFile 我得订单 附件
     * @return 结果
     */
    @Override
    public int updateMOrdersFile(MOrdersFile mOrdersFile)
    {
        mOrdersFile.setUpdateTime(DateUtils.getNowDate());
        return mOrdersFileMapper.updateById(mOrdersFile);
    }

    /**
     * 批量删除我得订单 附件
     * 
     * @param ids 需要删除的我得订单 附件主键
     * @return 结果
     */
    @Override
    public int deleteMOrdersFileByIds(Long[] ids)
    {
        return mOrdersFileMapper.deleteMOrdersFileByIds(ids);
    }

    /**
     * 删除我得订单 附件信息
     * 
     * @param id 我得订单 附件主键
     * @return 结果
     */
    @Override
    public int deleteMOrdersFileById(Long id)
    {
        return mOrdersFileMapper.deleteMOrdersFileById(id);
    }
}
