package com.ruoyi.system.service.my.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.domain.my.MUser;
import com.ruoyi.system.mapper.my.MUserMapper;
import com.ruoyi.system.service.my.IMUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 我的灵活从业者Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-30
 */
@Service
public class MUserServiceImpl implements IMUserService
{
    @Autowired
    private MUserMapper mUserMapper;

    /**
     * 查询我的灵活从业者
     * 
     * @param id 我的灵活从业者主键
     * @return 我的灵活从业者
     */
    @Override
    public MUser selectMUserById(Long id)
    {
        return mUserMapper.selectMUserById(id);
    }

    /**
     * 查询我的灵活从业者列表
     * 
     * @param mUser 我的灵活从业者
     * @return 我的灵活从业者
     */
    @Override
    public List<MUser> selectMUserList(MUser mUser)
    {
        return mUserMapper.selectMUserList(mUser);
    }

    /**
     * 新增我的灵活从业者
     * 
     * @param mUser 我的灵活从业者
     * @return 结果
     */
    @Override
    public int insertMUser(MUser mUser)
    {
        mUser.setCreateTime(DateUtils.getNowDate());
        return mUserMapper.insert(mUser);
    }

    /**
     * 修改我的灵活从业者
     * 
     * @param mUser 我的灵活从业者
     * @return 结果
     */
    @Override
    public int updateMUser(MUser mUser)
    {
        mUser.setUpdateTime(DateUtils.getNowDate());
        return mUserMapper.updateById(mUser);
    }

    /**
     * 批量删除我的灵活从业者
     * 
     * @param ids 需要删除的我的灵活从业者主键
     * @return 结果
     */
    @Override
    public int deleteMUserByIds(Long[] ids)
    {
        return mUserMapper.deleteMUserByIds(ids);
    }

    /**
     * 删除我的灵活从业者信息
     * 
     * @param id 我的灵活从业者主键
     * @return 结果
     */
    @Override
    public int deleteMUserById(Long id)
    {
        return mUserMapper.deleteMUserById(id);
    }

    @Override
    public MUser getMyInfo() {
        QueryWrapper<MUser> wrapper = new QueryWrapper<>();
        wrapper.eq("sys_user_id", SecurityUtils.getUserId());
        return mUserMapper.selectOne(wrapper);
    }
}
