package com.ruoyi.system.service.orderInformation;

import java.util.List;
import com.ruoyi.system.domain.orderInformation.TbOrderInformation;

/**
 * 订单信息Service接口
 * 
 * @author ruoyi
 * @date 2024-09-25
 */
public interface ITbOrderInformationService 
{
    /**
     * 查询订单信息
     * 
     * @param id 订单信息主键
     * @return 订单信息
     */
    public TbOrderInformation selectTbOrderInformationById(Long id);

    /**
     * 查询订单信息列表
     * 
     * @param tbOrderInformation 订单信息
     * @return 订单信息集合
     */
    public List<TbOrderInformation> selectTbOrderInformationList(TbOrderInformation tbOrderInformation);

    /**
     * 新增订单信息
     * 
     * @param tbOrderInformation 订单信息
     * @return 结果
     */
    public int insertTbOrderInformation(TbOrderInformation tbOrderInformation);

    /**
     * 修改订单信息
     * 
     * @param tbOrderInformation 订单信息
     * @return 结果
     */
    public int updateTbOrderInformation(TbOrderInformation tbOrderInformation);

    /**
     * 批量删除订单信息
     * 
     * @param ids 需要删除的订单信息主键集合
     * @return 结果
     */
    public int deleteTbOrderInformationByIds(Long[] ids);

    /**
     * 删除订单信息信息
     * 
     * @param id 订单信息主键
     * @return 结果
     */
    public int deleteTbOrderInformationById(Long id);

    TbOrderInformation selectTbOrderInformationByOrderNum(String orderNum);
}
