package com.ruoyi.system.service.projectType;

import java.util.List;
import com.ruoyi.system.domain.projectType.TbProjectType;

/**
 * 服务项目分类Service接口
 * 
 * @author ruoyi
 * @date 2024-09-27
 */
public interface ITbProjectTypeService 
{
    /**
     * 查询服务项目分类
     * 
     * @param id 服务项目分类主键
     * @return 服务项目分类
     */
    public TbProjectType selectTbProjectTypeById(Long id);

    /**
     * 查询服务项目分类列表
     * 
     * @param tbProjectType 服务项目分类
     * @return 服务项目分类集合
     */
    public List<TbProjectType> selectTbProjectTypeList(TbProjectType tbProjectType);

    /**
     * 查询服务项目分类列表
     *
     * @return 服务项目分类集合
     */
    public List<TbProjectType> selectAll();

    /**
     * 新增服务项目分类
     * 
     * @param tbProjectType 服务项目分类
     * @return 结果
     */
    public int insertTbProjectType(TbProjectType tbProjectType);

    /**
     * 修改服务项目分类
     * 
     * @param tbProjectType 服务项目分类
     * @return 结果
     */
    public int updateTbProjectType(TbProjectType tbProjectType);

    /**
     * 批量删除服务项目分类
     * 
     * @param ids 需要删除的服务项目分类主键集合
     * @return 结果
     */
    public int deleteTbProjectTypeByIds(Long[] ids);

    /**
     * 删除服务项目分类信息
     * 
     * @param id 服务项目分类主键
     * @return 结果
     */
    public int deleteTbProjectTypeById(Long id);
}
