package com.ruoyi.system.service.projectType.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.projectType.TbProjectTypeMapper;
import com.ruoyi.system.domain.projectType.TbProjectType;
import com.ruoyi.system.service.projectType.ITbProjectTypeService;

/**
 * 服务项目分类Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-27
 */
@Service
public class TbProjectTypeServiceImpl implements ITbProjectTypeService 
{
    @Autowired
    private TbProjectTypeMapper tbProjectTypeMapper;

    /**
     * 查询服务项目分类
     * 
     * @param id 服务项目分类主键
     * @return 服务项目分类
     */
    @Override
    public TbProjectType selectTbProjectTypeById(Long id)
    {
        return tbProjectTypeMapper.selectTbProjectTypeById(id);
    }

    /**
     * 查询服务项目分类列表
     *
     * @param tbProjectType 服务项目分类
     * @return 服务项目分类
     */
    @Override
    public List<TbProjectType> selectTbProjectTypeList(TbProjectType tbProjectType)
    {
        return tbProjectTypeMapper.selectTbProjectTypeList(tbProjectType);
    }

    @Override
    public List<TbProjectType> selectAll() {
        return tbProjectTypeMapper.selectAll();
    }

    /**
     * 新增服务项目分类
     * 
     * @param tbProjectType 服务项目分类
     * @return 结果
     */
    @Override
    public int insertTbProjectType(TbProjectType tbProjectType)
    {
        tbProjectType.setCreateTime(DateUtils.getNowDate());
        return tbProjectTypeMapper.insert(tbProjectType);
    }

    /**
     * 修改服务项目分类
     * 
     * @param tbProjectType 服务项目分类
     * @return 结果
     */
    @Override
    public int updateTbProjectType(TbProjectType tbProjectType)
    {
        return tbProjectTypeMapper.updateTbProjectType(tbProjectType);
    }

    /**
     * 批量删除服务项目分类
     * 
     * @param ids 需要删除的服务项目分类主键
     * @return 结果
     */
    @Override
    public int deleteTbProjectTypeByIds(Long[] ids)
    {
        return tbProjectTypeMapper.deleteTbProjectTypeByIds(ids);
    }

    /**
     * 删除服务项目分类信息
     * 
     * @param id 服务项目分类主键
     * @return 结果
     */
    @Override
    public int deleteTbProjectTypeById(Long id)
    {
        return tbProjectTypeMapper.deleteTbProjectTypeById(id);
    }
}
