package com.ruoyi.system.service.shop.Impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.shop.SShopMaterial;
import com.ruoyi.system.mapper.shop.SShopMaterialMapper;
import com.ruoyi.system.service.shop.ISShopMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 商家素材图片上传Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-09
 */
@Service
public class SShopMaterialServiceImpl implements ISShopMaterialService
{
    @Autowired
    private SShopMaterialMapper sShopMaterialMapper;

    /**
     * 查询商家素材图片上传
     * 
     * @param id 商家素材图片上传主键
     * @return 商家素材图片上传
     */
    @Override
    public SShopMaterial selectSShopMaterialById(Long id)
    {
        return sShopMaterialMapper.selectSShopMaterialById(id);
    }

    /**
     * 查询商家素材图片上传列表
     * 
     * @param sShopMaterial 商家素材图片上传
     * @return 商家素材图片上传
     */
    @Override
    public List<SShopMaterial> selectSShopMaterialList(SShopMaterial sShopMaterial)
    {
        return sShopMaterialMapper.selectSShopMaterialList(sShopMaterial);
    }

    /**
     * 新增商家素材图片上传
     * 
     * @param sShopMaterial 商家素材图片上传
     * @return 结果
     */
    @Override
    public int insertSShopMaterial(SShopMaterial sShopMaterial)
    {
        sShopMaterial.setCreateTime(DateUtils.getNowDate());
        return sShopMaterialMapper.insert(sShopMaterial);
    }

    /**
     * 修改商家素材图片上传
     * 
     * @param sShopMaterial 商家素材图片上传
     * @return 结果
     */
    @Override
    public int updateSShopMaterial(SShopMaterial sShopMaterial)
    {
        sShopMaterial.setUpdateTime(DateUtils.getNowDate());
        return sShopMaterialMapper.updateById(sShopMaterial);
    }

    /**
     * 批量删除商家素材图片上传
     * 
     * @param ids 需要删除的商家素材图片上传主键
     * @return 结果
     */
    @Override
    public int deleteSShopMaterialByIds(Long[] ids)
    {
        return sShopMaterialMapper.deleteSShopMaterialByIds(ids);
    }

    /**
     * 删除商家素材图片上传信息
     * 
     * @param id 商家素材图片上传主键
     * @return 结果
     */
    @Override
    public int deleteSShopMaterialById(Long id)
    {
        return sShopMaterialMapper.deleteSShopMaterialById(id);
    }
}
