package com.ruoyi.system.service.shop;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.shop.SAcceptOrders;
import com.ruoyi.system.domain.shop.SOrdersFile;
import java.util.List;

/**
 * 商家接单Service接口
 * 
 * @author ruoyi
 * @date 2024-09-27
 */
public interface SAcceptOrdersService
{
    /**
     * 查询商家接单
     * 
     * @param id 商家接单主键
     * @return 商家接单
     */
    public SAcceptOrders selectTbAcceptOrdersById(Long id);

    /**
     * 查询商家接单列表
     * 
     * @param sAcceptOrders 商家接单
     * @return 商家接单集合
     */
    public List<SAcceptOrders> selectTbAcceptOrdersList(SAcceptOrders sAcceptOrders);

    /**
     * 新增商家接单
     * 
     * @param sAcceptOrders 商家接单
     * @return 结果
     */
    public int insertTbAcceptOrders(SAcceptOrders sAcceptOrders);

    /**
     * 修改商家接单
     * 
     * @param sAcceptOrders 商家接单
     * @return 结果
     */
    public int updateTbAcceptOrders(SAcceptOrders sAcceptOrders);

    /**
     * 批量删除商家接单
     * 
     * @param ids 需要删除的商家接单主键集合
     * @return 结果
     */
    public int deleteTbAcceptOrdersByIds(Long[] ids);

    /**
     * 删除商家接单信息
     * 
     * @param id 商家接单主键
     * @return 结果
     */
    public int deleteTbAcceptOrdersById(Long id);

    AjaxResult grabOrders(Long id,Long businessId);

    int cancellationOrder(Long id);

    int voucherUpload(SOrdersFile ordersFile);
}
