package com.ruoyi.system.utils;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.constant.UserTypeConstant;
import com.ruoyi.system.domain.my.AgentSysUser;
import com.ruoyi.system.domain.my.MUser;
import com.ruoyi.system.mapper.my.MUserMapper;
import com.ruoyi.system.mapper.my.QueryDataAgentSysUserMapper;
import com.ruoyi.system.service.system.ISysUserService;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;
import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 定时拉取代理人用户数据
 * 
 * @author ruoyi
 */
@Component("TaskQueryAgentSysUser")
public class TaskQueryAgentSysUser {

    private Long[] roleIds = new Long[]{Long.valueOf(100)};

    @Resource
    private QueryDataAgentSysUserMapper queryDataAgentSysUser;

    @Resource
    private MUserMapper mUserMapper;

    @Resource
    private ISysUserService userService;


    public void agentSysUser() {

        List<AgentSysUser> agentSysUsers = queryDataAgentSysUser.queryAgent();

        List<String> ids = mUserMapper.selectAgentSysUserId();

        if (CollectionUtils.isEmpty(ids)){
            save(agentSysUsers);
        }else {
            List<AgentSysUser> filteredItems = agentSysUsers.stream()
                    .filter(item -> !ids.contains(item.getId())).collect(Collectors.toList());
            if (CollectionUtils.isEmpty(filteredItems)){
                save(agentSysUsers);
            }
            List<AgentSysUser> items = agentSysUsers.stream()
                    .filter(item -> ids.contains(item.getId())).collect(Collectors.toList());
            if (CollectionUtils.isEmpty(items)){
                //相同的数据进行更新状态
            }
        }

    }

    public void save(List<AgentSysUser> agentSysUsers){
        for (AgentSysUser user : agentSysUsers) {
            if (StringUtils.isEmpty(user.getName()) && StringUtils.isEmpty(user.getMobile())){
                continue;
            }
            MUser mUser = new MUser();
            mUser.setAddress(user.getAddress());
            mUser.setBank(user.getBankAccount());
            mUser.setPhone(user.getMobile());
            mUser.setBankAccount(user.getBankNumber());
            mUser.setBankAddress(user.getBankAddress());
            mUser.setName(user.getName());
            mUser.setAgentSysUserId(user.getId());
            Long sysUserId = saveUser(mUser);
            if (null != sysUserId){
                mUser.setSysUserId(sysUserId);
                mUserMapper.insert(mUser);
            }
        }
    }

    public Long saveUser(MUser mUser){
        SysUser sysUser = new SysUser();
        sysUser.setUserName(mUser.getPhone());
        sysUser.setNickName(mUser.getName());
        sysUser.setPhonenumber(mUser.getPhone());
        sysUser.setPassword(SecurityUtils.encryptPassword("123456"));
        sysUser.setUserType(UserTypeConstant.FLEXIBLE_PRACTITIONERS_USER);
        if (!userService.checkUserNameUnique(sysUser)) {
             return null;
        } else if (StringUtils.isNotEmpty(sysUser.getPhonenumber()) && !userService.checkPhoneUnique(sysUser)) {
            return null;
        }
        sysUser.setRoleIds(roleIds);
        userService.insertUser(sysUser);
        return sysUser.getUserId();
    }


}
